package org.gcube.dataanalysis.dataminer.poolmanager.ansible.model;

import java.util.Collection;
import java.util.Vector;

public class Role ***REMOVED***

  /**
   * The name of the role
   */
  private String name;
  
  private Collection<RoleFile> tasks;

  private Collection<RoleFile> meta;
  
  public Role() ***REMOVED***
    this.tasks = new Vector<>();
    this.meta = new Vector<>();
  ***REMOVED***

  public Role(String name) ***REMOVED***
    this();
    this.name = name;
  ***REMOVED***
  
  public void addTaskFile(RoleFile tf) ***REMOVED***
    this.tasks.add(tf);
  ***REMOVED***

  public void addMeta(RoleFile tf) ***REMOVED***
    this.meta.add(tf);
  ***REMOVED***

  public String getName() ***REMOVED***
    return name;
  ***REMOVED***

  public void setName(String name) ***REMOVED***
    this.name = name;
  ***REMOVED***
  
  public Collection<RoleFile> getTaskFiles() ***REMOVED***
    return new Vector<>(this.tasks);
  ***REMOVED***
  
  public Collection<RoleFile> getMeta() ***REMOVED***
    return new Vector<>(this.meta);
  ***REMOVED***
  
***REMOVED***
